- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# device_interface Struct Reference

`#include <device.h>`

## Data Fields
void * | info
int(* | init )(void *)
uInt8 | initialized
void(* | ioctl )(void *)
int | major
void(* | read )(void *, void *, uInt32, uInt32)
void(* | reset )(void *)
uInt32 | size
void(* | standby )(void *)
void(* | start )(void *)
void(* | stop )(void *)
void(* | write )(void *, void *, uInt32, uInt32)

## Detailed Description

Definition at line 48 of file device.h.

## Field Documentation

void* device_interface::info

Definition at line 52 of file device.h.

Referenced by devfs_read(), devfs_write(), dskread(), hdInit(), initHardDisk(), syncBat(), ubixfs_initialize(), ubixfs_loadData(), ubixFSmkDir(), ubixFSUnlink(), and writeUbixFS().

int(* device_interface::init)(void *)

Referenced by device_add(), fdc_init(), and initHardDisk().

uInt8 device_interface::initialized

Definition at line 49 of file device.h.

Referenced by device_add(), and hdInit().

void(* device_interface::ioctl)(void *)

Referenced by initHardDisk().

int device_interface::major

Definition at line 51 of file device.h.

Referenced by device_find(), fdc_init(), and initHardDisk().

void(* device_interface::read)(void *, void *, uInt32, uInt32)

Referenced by devfs_read(), devfs_write(), dskread(), fdc_init(), initHardDisk(), openFileUbixFS(), ubixfs_initialize(), ubixfs_loadData(), ubixFSUnlink(), and writeUbixFS().

void(* device_interface::reset)(void *)

Referenced by fdc_init(), and initHardDisk().

uInt32 device_interface::size

Definition at line 50 of file device.h.

Referenced by devfs_open(), fdcInit2(), and hdInit().

void(* device_interface::standby)(void *)

Referenced by initHardDisk().

void(* device_interface::start)(void *)

Referenced by initHardDisk().

void(* device_interface::stop)(void *)

Referenced by initHardDisk().

void(* device_interface::write)(void *, void *, uInt32, uInt32)

Referenced by devfs_write(), fdc_init(), initHardDisk(), syncBat(), ubixFSmkDir(), ubixFSUnlink(), and writeUbixFS().

The documentation for this struct was generated from the following file:

- src/sys/include/sys/device.h